Computer Security
[EN] securityvulns.ru no-pyccku


Microsoft DirectShow buffer overflow
Published:10.02.2010
Source:
SecurityVulns ID:10610
Type:remote
Threat Level:
6/10
Description:Buffer overflow on AVI parsing.
Affected:MICROSOFT : Windows 2000 Server
 MICROSOFT : Windows 2000 Professional
 MICROSOFT : Windows XP
 MICROSOFT : Windows 2003 Server
 MICROSOFT : Windows Vista
 MICROSOFT : Windows 2008 Server
 MICROSOFT : Windows 7
CVE:CVE-2010-0250 (Heap-based buffer overflow in DirectShow in Microsoft DirectX, as used in the AVI Filter on Windows 2000 SP4, Windows XP SP2 and SP3, and Windows Server 2003 SP2, and in Quartz on Windows 2000 SP4, Windows XP SP2 and SP3, Windows Server 2003 SP2, Windows Vista Gold, SP1, and SP2, Windows Server 2008 Gold, SP2, and R2, and Windows 7, allows remote attackers to execute arbitrary code via an AVI file with a crafted length field in an unspecified video stream, which is not properly handled by the RLE video decompressor, aka "DirectShow Heap Overflow Vulnerability.")
Original documentdocumentZDI, ZDI-10-015: Microsoft Windows RLE Video Decompressor Remote Code Execution Vulnerability (10.02.2010)
 documentMICROSOFT, Microsoft Security Bulletin MS10-013 - Critical Vulnerability in Microsoft DirectShow Could Allow Remote Code Execution (977935) (10.02.2010)
Files:Microsoft Security Bulletin MS10-013 - Critical Vulnerability in Microsoft DirectShow Could Allow Remote Code Execution (977935)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod